Name: libspe
Version: 1.0.1
Release: 5
License: LGPL
Group: System Environment/Base
URL: http://www.bsc.es/projects/deepcomputing/linuxoncell
Source: http://www.bsc.es/projects/deepcomputing/linuxoncell/development/release2.0/libspe/%{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/libspe
Exclusivearch: ppc ppc64 noarch
Summary: SPE Runtime Management Library

%ifarch noarch
%define sysroot /usr/share/cbea/sysroot/
%define set_optflags %{nil}
%else
%define sysroot %{nil}
%define set_optflags OPTFLAGS="%{optflags}"
%endif

%package devel
Summary: SPE Runtime Management Library
Group: Development/Libraries
Requires: %{name} = %{version}

%package -n elfspe
Summary: Helper for standalong SPE applications
Group: Applications/System
Requires: %{name} = %{version}

%description
SPE Runtime Management Library for the
Cell Broadband Engine Architecture.

%description devel
Header and object files for SPE Runtime
Management Library.

%description -n elfspe
This tool acts as a standalone loader for spe binaries.

%prep

%setup

%build
make SYSROOT=%{sysroot} %{set_optflags} prefix=%{_prefix} libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT%{sysroot}

make install DESTDIR=$RPM_BUILD_ROOT SYSROOT=%{sysroot} prefix=%{_prefix} libdir=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{sysroot}%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{sysroot}%{_libdir}/*.so
%{sysroot}%{_libdir}/*.a
%{sysroot}%{_includedir}/*.h

%files -n elfspe
%defattr(-,root,root)
%{sysroot}%{_bindir}/elfspe-register
%{sysroot}%{_bindir}/elfspe

%changelog
* Thu Nov 24 2005 - Arnd Bergmann <arnd@arndb.de> 1.0.1-3
- initial spec file for fc5
